## ros-rolling-foxglove-bridge 0.7.2

=== debian/changelog ===
ros-rolling-foxglove-bridge (0.7.2-1jammy) jammy; urgency=high

  * Fix invalid pointers not being caught (#265 <https://github.com/foxglove/ros-foxglove-bridge/issues/265>)
  * Make ROS1 service type retrieval more robust (#263 <https://github.com/foxglove/ros-foxglove-bridge/issues/263>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Tue, 12 Sep 2023 00:00:00 -0000

ros-rolling-foxglove-bridge (0.7.1-1jammy) jammy; urgency=high

  * Communicate double / double array parameters with type info, explicitly cast when set from integer (#256 <https://github.com/foxglove/ros-foxglove-bridge/issues/256>)
  * Make ROS 2 smoke tests less flaky (#260 <https://github.com/foxglove/ros-foxglove-bridge/issues/260>)
  * Add debug config for ros2 smoke test (#257 <https://github.com/foxglove/ros-foxglove-bridge/issues/257>)
  * Handle client disconnection in message handler thread (#259 <https://github.com/foxglove/ros-foxglove-bridge/issues/259>)
  * Reduce smoke test flakiness (#258 <https://github.com/foxglove/ros-foxglove-bridge/issues/258>)
  * Server code improvements (#250 <https://github.com/foxglove/ros-foxglove-bridge/issues/250>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-foxglove-bridge (0.7.0-1jammy) jammy; urgency=high

  * Fix ROS2 launch file install rule not installing launch subfolder (#243 <https://github.com/foxglove/ros-foxglove-bridge/issues/243>)
  * Support building with boost asio (#247 <https://github.com/foxglove/ros-foxglove-bridge/issues/247>)
  * Avoid usage of tmpnam() for creating random filename (#246 <https://github.com/foxglove/ros-foxglove-bridge/issues/246>)
  * Implement ws-protocol's fetchAsset specification (#232 <https://github.com/foxglove/ros-foxglove-bridge/issues/232>)
  * Use --include-eol-distros for rosdep to fix melodic builds (#244 <https://github.com/foxglove/ros-foxglove-bridge/issues/244>)
  * Reduce logging severity for parameter retrieval logs (#240 <https://github.com/foxglove/ros-foxglove-bridge/issues/240>)
  * Contributors: Hans-Joachim Krauch, Micah Guttman

 -- John Hurliman <john@foxglove.dev>  Wed, 12 Jul 2023 00:00:00 -0000

ros-rolling-foxglove-bridge (0.6.4-1jammy) jammy; urgency=high

  * Assume publisher qos depth of 1 if the middleware reports the qos history as unknown (#239 <https://github.com/foxglove/ros-foxglove-bridge/issues/239>)
  * devcontainer: Use --include-eol-distros for rosdep update (#237 <https://github.com/foxglove/ros-foxglove-bridge/issues/237>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Wed, 05 Jul 2023 00:00:00 -0000

ros-rolling-foxglove-bridge (0.6.3-1jammy) jammy; urgency=high

  * Add iron build to CI (#234 <https://github.com/foxglove/ros-foxglove-bridge/issues/234>)
  * Fix QoS history being unknown when copied from existing publisher (#233 <https://github.com/foxglove/ros-foxglove-bridge/issues/233>)
  * Extract ROS 2 bridge header (#228 <https://github.com/foxglove/ros-foxglove-bridge/issues/228>)
  * Contributors: Hans-Joachim Krauch, Milan Vukov

 -- John Hurliman <john@foxglove.dev>  Fri, 16 Jun 2023 00:00:00 -0000

ros-rolling-foxglove-bridge (0.6.2-1jammy) jammy; urgency=high

  * Fix connection graph updates to due incorrect use of std::set_difference (#226 <https://github.com/foxglove/ros-foxglove-bridge/issues/226>)
  * Contributors: Ivan Nenakhov

 -- John Hurliman <john@foxglove.dev>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-foxglove-bridge (0.6.1-1jammy) jammy; urgency=high

  * Fix warning messages not being logged (#224 <https://github.com/foxglove/ros-foxglove-bridge/issues/224>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Fri, 05 May 2023 00:00:00 -0000

ros-rolling-foxglove-bridge (0.6.0-1jammy) jammy; urgency=high

  * Add support for nested parameters (ROS1) (#221 <https://github.com/foxglove/ros-foxglove-bridge/issues/221>)
  * Catch exceptions thrown in handler functions, send status to client (#210 <https://github.com/foxglove/ros-foxglove-bridge/issues/210>)
  * Fix unhandled xmlrpc exception (#218 <https://github.com/foxglove/ros-foxglove-bridge/issues/218>)
  * Add support for action topic and services (ROS2) (#214 <https://github.com/foxglove/ros-foxglove-bridge/issues/214>)
  * Add parameter to include hidden topics and services (ROS 2) (#216 <https://github.com/foxglove/ros-foxglove-bridge/issues/216>)
  * Add workaround for publishers not being cleaned up after they got destroyed (#215 <https://github.com/foxglove/ros-foxglove-bridge/issues/215>)
  * Fix error when compiling with C++20 (#212 <https://github.com/foxglove/ros-foxglove-bridge/issues/212>)
  * Devcontainer improvements (#213 <https://github.com/foxglove/ros-foxglove-bridge/issues/213>)
  * Add parameter for minimum subscription QoS depth (#211 <https://github.com/foxglove/ros-foxglove-bridge/issues/211>)
  * Log version and commit hash when node is started (#209 <https://github.com/foxglove/ros-foxglove-bridge/issues/209>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Thu, 04 May 2023 00:00:00 -0000

ros-rolling-foxglove-bridge (0.5.3-1jammy) jammy; urgency=high

  * Fix publishers being created with invalid QoS profile (#205 <https://github.com/foxglove/ros-foxglove-bridge/issues/205>)
  * Contributors: Hans-Joachim Krauch

 -- John Hurliman <john@foxglove.dev>  Fri, 31 Mar 2023 00:00:00 -0000

ros-rolling-foxglove-bridge (0.5.2-1jammy) jammy; urgency=high

  * Notify client when Server's send buffer limit has been reached (#201 <https://github.com/foxglove/ros-foxglove-bridge/issues/201>)
  * Add support for byte array params (#199 <https://github.com/foxglove/ros-foxglove-bridge/issues/199>)
  * Do not allow connection output buffer to exceed configured limit (#196 <https://github.com/foxglove/ros-foxglove-bridge/issues/196>)

