=== debian/control ===
Source: ros-rolling-foxglove-bridge
Section: misc
Priority: optional
Maintainer: John Hurliman <john@foxglove.dev>
Build-Depends: debhelper (>= 9.0.0), libasio-dev, libssl-dev, libwebsocketpp-dev, nlohmann-json3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-resource-retriever, ros-rolling-ros-environment, ros-rolling-rosgraph-msgs, ros-rolling-std-msgs <!nocheck>, ros-rolling-std-srvs <!nocheck>, zlib1g-dev, ros-rolling-ros-workspace
Homepage: https://github.com/foxglove/ros-foxglove-bridge
Standards-Version: 3.9.2

Package: ros-rolling-foxglove-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl, ros-rolling-ament-index-cpp, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-resource-retriever, ros-rolling-rosgraph-msgs, zlib1g-dev, ros-rolling-ros-workspace
Description: ROS Foxglove Bridge
